package com.lemon.lifecenter.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.lemon.lifecenter.dto.PatientDTO;
import com.lemon.lifecenter.mapper.PatientMapper;

@Service
public class PatientService {

    @Autowired
    private PatientMapper mapper;

    public int selectPatientCount(PatientDTO dto) {
        return mapper.selectPatientCount(dto);
    }
    
    public List<PatientDTO> selectPatietList(PatientDTO dto) {
        return mapper.selectPatientList(dto);
    }
    
    public void insertPatientCare( PatientDTO dto ) {
        mapper.insertPatientCare(dto);
    }
    public void insertPatientDisease( PatientDTO dto ) {
        mapper.insertPatientDisease(dto);
    }
    public void insertPatientSymptom( PatientDTO dto ) {
        mapper.insertPatientSymptom(dto);
    }
}
